#
#
# WildWeb Style tables v 20010503
#--------------------------------------------------------

DROP TABLE IF EXISTS sty_template;
CREATE TABLE sty_template (
	template_id	int(4) NOT NULL auto_increment,
	name		varchar(12) NOT NULL default 'default',
	uptodate	datetime default NULL,
	compiled	text,
	PRIMARY KEY(template_id)
);

DROP TABLE IF EXISTS sty_element;
CREATE TABLE sty_element (
	element_id	varchar(12) NOT NULL default 'ROOT',
	template_id	int(4) NOT NULL,
	uptodate	datetime default NULL,
	content		text,
	PRIMARY KEY(template_id,element_id)
);
INSERT INTO sty_template (template_id, name) 
VALUES (0,'default');


INSERT INTO sty_element (template_id, element_id, uptodate, content) 
VALUES 
( '0', 'ROOT', now(),
'<[init]>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" "http://www.w3.org/TR/REC-html40/loose.dtd"> 
<html>
<[header]>
<[body]>
</html>');


INSERT INTO sty_element (template_id, element_id, uptodate, content) 
VALUES 
( '0', 'INIT', now(),
'<? $idiomadefault = \'pt_BR\'; ?>');


INSERT INTO sty_element (template_id, element_id, uptodate, content) 
VALUES 
( '0', 'HEADER', now(),
'<head>
<title><? if (isset($titulo_pagina)) { echo $titulo_pagina; } else { echo \'WildWeb Template System\'; }?></title>
<meta name="author" content="Sergio Bruder <bruder@conectiva.com.br>">
<meta name="generator" content="WildWeb Template System v0.1">
<[style]>
</head>');


INSERT INTO sty_element (template_id, element_id, uptodate, content) 
VALUES 
( '0', 'BODY', now(),
'<body <[body-format]>>
<[body-cabec]>
<[body-corpo]>
<[body-rodap]>
</body>');


INSERT INTO sty_element (template_id, element_id, uptodate, content) 
VALUES 
( '0', 'BODY-FORMAT', now(),
'bgcolor="#FFFFFF"  
text="#333333"  
link="#0066cc"  
vlink="#000000"');



INSERT INTO sty_element (template_id, element_id, uptodate, content) 
VALUES 
( '0', 'BODY-CABEC', now(),
'<TABLE CELLSPACING=0 CELLPADDING=0 BORDER=0 WIDTH="100%">
<TR bgcolor=black>
<TD align="right">
<font color="white" size=+2>
<? if (isset($titulo_pagina)) { echo $titulo_pagina; } else { echo \'WildWeb Template System\'; }?>
</font>
</TD>
</TR>
</TABLE>');



INSERT INTO sty_element (template_id, element_id, uptodate, content) 
VALUES 
( '0', 'BODY-CORPO', now(),
'<[content]>');


INSERT INTO sty_element (template_id, element_id, uptodate, content) 
VALUES 
( '0', 'BODY-RODAP', now(),
'<table cellpadding=0 cellspacing=0 border="0" width="100%"> 
<TR> 
<TD BGCOLOR="#003399"><NOBR><SPACER TYPE="BLOCK" WIDTH=1 HEIGHT=4></TD> 
</TR> 
<tr bgcolor="#C8D8F8"> 
<td align="right"> 
<table> 
<tr> 
<td align="right"> 
<div class="rodape"> 
<b><a href="http://www.conectiva.com.br">Conectiva S.A.</a></b><br> 
Rua Tocantins, 89 - CEP: 80050-430 - Fone/Fax: 55 (41) 360-2600<br> 
Cristo Rei - Curitiba(PR) - Brasil<br>    
<a href=mailto:webmaster@conectiva.com.br>webmaster@conectiva.com.br</a> 
</div> 
</td> 
</tr> 
</table> 
</td> 
</tr> 
</table>');






INSERT INTO sty_template (template_id, name) 
VALUES (2,'wildweb');


INSERT INTO sty_element (template_id, element_id, uptodate, content) 
VALUES 
( 2, 'ROOT', now(),
'<[php-init]>
<[init]>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" "http://www.w3.org/TR/REC-html40/loose.dtd"> 
<html>
<[header]>
<[body]>
</html>');


INSERT INTO sty_element (template_id, element_id, uptodate, content) 
VALUES 
( 2, 'PHP-INIT', now(),
'<?

function box_ini($opt=\'\') {
?>
<TABLE CELLSPACING=0 CELLPADDING=2 BORDER=0 WIDTH="100%"><tr bgcolor="#777777">
<td>
<TABLE CELLSPACING=0 CELLPADDING=3 BORDER=0 WIDTH="100%"><tr bgcolor="#DDDDDD">
<td <? echo $opt; ?>>
<?
}

function box_end() {
?>
</td> </tr> </TABLE>
</td> </tr> </TABLE>

<?
}
?>');


INSERT INTO sty_element (template_id, element_id, uptodate, content) 
VALUES 
( 2, 'HEADER', now(),
'<head>
<title>WildWeb v. 20010503</title>
<meta name="author" content="Sergio Bruder <bruder@conectiva.com.br>">
<meta name="generator" content="WildWeb Framework">
<title>
<?if (isset($titulo_pagina)) {echo $titulo_pagina;} else {echo \'WildWeb v. 20010503\';}?>
</title>
<meta name="author" content="Sergio Bruder <bruder@conectiva.com.br>">
<meta name="generator" content="WildWeb v 20010503">
<[style]>
</head>');


INSERT INTO sty_element (template_id, element_id, uptodate, content) 
VALUES 
( 2, 'STYLE', now(),
'<style type="text/css">
<!--
BODY       {font-family: Verdana,Arial,Helvetica,Sans-serif;}
TD         {font-family: Verdana,Arial,Helvetica,Sans-Serif;}
H1         {font-family: Verdana,Arial,Helvetica,Sans-Serif; font-size: 18pt; font-weight:
H2         {font-family: Verdana,Arial,Helvetica,Sans-Serif; font-size: 14pt; font-weight:
H3         {font-family: Verdana,Arial,Helvetica,Sans-Serif; font-size: 10pt; font-weight:
H4         {font-family: Verdana,Arial,Helvetica,Sans-Serif; font-size: 10pt; font-weight:
P          {font-family: Verdana,Arial,Helvetica,Sans-Serif; font-size: 10pt; font-weight:
UL,DL,OL   {font-family: Verdana,Arial,Helvetica,Sans-Serif; font-size: 10pt; font-weight:
LI         {font-family: Verdana,Arial,Helvetica,Sans-Serif; font-size: 10pt; font-weight:
blockquote {font-family: Verdana,Arial,Helvetica,Sans-Serif; font-size: 10pt; font-weight:
STRONG     {font-weight: bold;}
CODE       {font-family:monospace}
A:link     {text-decoration: none;}
A:visited  {text-decoration: none;}
A:active   {color: red; }
A:hover    {text-decoration: underline; }
-->
</style>');


INSERT INTO sty_element (template_id, element_id, uptodate, content) 
VALUES 
( 2, 'BODY', now(),
'<body <[body-format]>>
<[body-cabec]>
<[body-corpo]>
<[body-rodap]>
</body>');


INSERT INTO sty_element (template_id, element_id, uptodate, content) 
VALUES 
( 2, 'BODY-FORMAT', now(),
'bgcolor="white" text="#111111" link="#0099dd" vlink="#883377"');



INSERT INTO sty_element (template_id, element_id, uptodate, content) 
VALUES 
( 2, 'BODY-CABEC', now(),
'<? box_ini(\'bgcolor="white"\'); ?>
<img src="/wildweb/imgs/wildweb.jpg"></td>
<td width="100%" align="right" bgcolor="white">
&nbsp;<[menu]>
<? box_end(); ?>
<br>');



INSERT INTO sty_element (template_id, element_id, uptodate, content) 
VALUES 
( 2, 'BODY-CORPO', now(),
'<? box_ini(); ?>
<[content]>
<? box_end(); ?>
<br>');


INSERT INTO sty_element (template_id, element_id, uptodate, content) 
VALUES 
( 2, 'BODY-RODAP', now(),
'<? Box_ini(\'align="right" bgcolor="white"\'); ?>
<font size="-2">
WildWeb v. 20010503 by <a href="mailto:bruder@conectiva.com.br">WildWeb core Developers</a>
Visit us at <a href="http://bazar.conectiva.com.br/~bruder/wildweb/">http://bazar.conectiva
</font>
<? Box_end(); ?>');

